<div class="cls-width-100 container-div">
  <div>
    <div class="title-div" >
      <h1 class="title-font">Case Experience</h1>
      <p class="text-font">Provide a generic ONAP sample one
          First ONAP application</p>
    </div>
  </div>        
  <div class="tab">
    <div class="tabContainer">
      <button class="tablinks" [ngClass]="activeTab == 'desginanddestribute' ? 'active' : ''" (click)="showTab($event, 'desginanddestribute')">Design & Distribution experience</button>
      <button class="tablinks" [ngClass]="activeTab == 'provisioning' ? 'active' : ''" (click)="showTab($event, 'provisioning')">Provisioning experience</button>
      <button class="tablinks" [ngClass]="activeTab == 'closeloop' ? 'active' : ''" (click)="showTab($event, 'closeloop')">Close-loop experience</button>
    </div>
  </div>
  <div class="tabcontent" *ngIf="activeTab == 'desginanddestribute'">
    <button class="invokeBtn" (click)="show()"> <a href="http://159.138.53.90:30998/my-link" target="iframe_a" >Invoke Distribute</a></button>
    <button class="invokeBtn" (click)="show()"> <a href="http://159.138.53.90:30998/my-link_healthcheck" target="iframe_a" >Invoke Health Check</a></button>
    <img class="cls-width-100" src="../../../assets/tenant-imges/design.png">
    <img class="cls-width-100" src="../../../assets/tenant-imges/InstantiationExperience.png">
    <img class="cls-width-100" src="../../../assets/tenant-imges/loop.png">
  </div>
   <iframe height="60px" class="demo"  src="" name="iframe_a" id="demo"></iframe>
  <div class="tabcontent" *ngIf="activeTab == 'provisioning'">
    <button  class="invokeBtn"  (click)="show()"> <a href="http://159.138.53.90:30998/my-link_instantiate" target="iframe_a">Invoke Provisioning</a></button>
    <h1>Provisioning</h1>
    <p>
        Service provisioning is the process of setting up a service for a customer.
    </p>
    <p>
        This allows for the distribution of policy enforcement and templates among various 
        ONAP modules such as the Servie Orchesterator(SO), Controllers, Data Collection, 
        Analytics and Events (DCAE), Active and Avaliable Inventroy (A&AI)
        , and a Security Framework. These conponents user common services that support 
        loggin, access control, Multi-Site Sate Coordination (MUSIC), 
        which allow the platform to register and manage state across Multi-Site deployment.  
    </p>
    <p>
      The External API provides access for third-party frameworks such as MEF, 
      TM Forum and potentially others, to facilitate interactions between operator 
      BSS and relevant ONAP componenets. The logging services also includes event-based 
      analysis capabilities to support past orchestration consistency analysis.
    </p>
  </div>
  <div class="tabcontent" *ngIf="activeTab == 'closeloop'">
    <h1>Assurance</h1>
    <p>
      Assurance control is provided by cooperation among a number of design-time 
      and run-time elements. The Runtime loop starts with data collectors from Data 
      Collection, Analytics and Events (DCAE). ONAP includes the following collectors: 
      VES for events, HV-VES for high-volume events, SNMP for SNMP traps, File Collector
        to receive files, and Restconf Collector to collect the notifications. After data
      collection/verification phase, data are moved through the loop of micro-services 
      like Homes for event detection, Policy for determining actions, and finally, 
      controllers and orchestrators to implement actions CLAMP is used to monitor 
      the loops themselves. DCAE also supports (Platform for Network Data Analytics) 
      PNDA analytics capabilities. CLAMP, Policy and DCAE all have design time 
      aspects to support the creation of the loops.
    </p>
    <p>
      We refer to this automation pattern as “closed control loop automation” in that
      it provides the necessary automation to proactively respond to network and 
      service conditions without human intervention. A high-level schematic of 
      the “closed control loop automation” and the various phases within the 
      service lifecycle using the automation is depicted in Figure 3.
    </p>
    <p>
      Assurance control is provided by Data Collection, Analytics 
      and Events (DCAE) and one or more of the other ONAP runtime components. 
      Collectively, they provide FCAPS (Fault Configuration Accounting Performance 
      Security) functionality. DCAE collects performance, usage, and configuration 
      data; provides computation of analytics; aids in troubleshooting; and publishes events, data and analytics (e.g., to policy, orchestration, and the data lake). Another component, “Holmes”, connects to DCAE and provides alarm correlation for ONAP, new data collection capabilities with High Volume VES, and bulk performance management support.
    </p>
    <img class="cls-width-100" src="../../../assets/tenant-imges/ONAP-closedloop.png">
  </div>
</div>


